#ifndef SESSION_MANAGER_H
#define SESSION_MANAGER_H

#include "conexion.h"

#include <string>
#include <list>

class session_manager
{
public:
  session_manager(conexion* con);
  conexion* con;
  bool loggin(std::string username, std::string passwd);
  bool admin();
  int install_command(std::string package);
  int remove_command(std::string package);
  std::list<std::string> get_packages_info();
  std::list<std::string> get_users_info();
  void create_user(std::string username, std::string password, bool admin);
  void remove_user(std::string username);
};

#endif // SESSION_MANAGER_H
