#ifndef CONEXION_SSL_H
#define CONEXION_SSL_H
#include "conexion.h"
#include <openssl/ssl.h>

class conexion_ssl : public conexion
{
public:
  conexion_ssl(config_reader &conf);
  ssize_t read_string(std::string &entrada, int size);
  ssize_t write_string(std::string entrada);
private:
  SSL* ssl;
};

#endif // CONEXION_SSL_H
