#ifndef VIEW_LOGGIN_H
#define VIEW_LOGGIN_H

#include <gtkmm/window.h>
#include <gtkmm/button.h>
#include <gtkmm/box.h>
#include <gtkmm/label.h>
#include <gtkmm/entry.h>

#include "session_manager.h"
class view_loggin : public Gtk::Window
{
public:
  view_loggin(session_manager *sesi);
  session_manager *sesi;

  Gtk::Label user;
  Gtk::Entry entry_user;
  Gtk::Box box_user;

  Gtk::Label pass;
  Gtk::Entry entry_pass;
  Gtk::Box box_pass;

  Gtk::Button button;
  Gtk::Box box;

  void on_button_clicked();

  bool login;
  bool admin;
};

#endif // VIEW_LOGGIN_H
